Entwurf Spiegeln

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Mirror and the translation is 38% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎русский
Arrow-left.svg Vorherige: Draft Scale.svg Skalieren
Nächste: Versatz Draft Offset.svg Arrow-right.svg

Draft Mirror.svg Entwurf Spiegeln

Menüeintrag
Änderung → Spiegeln
Arbeitsbereich
Entwurf, Architektur
Standardtastenkürzel
M I
Eingeführt in Version
-
Siehe auch
Entwurf Klonen

Beschreibung

Der Draft Mirror.svg Entwurf Spiegeln Befehl erstellt gespiegelte Kopien, Part Spiegeln Objekte, von ausgewählten Objekten. Ein Part Spiegeln Objekt ist parametrisch, d.h. es aktualisiert sich, wenn sich sein Quellobjekt ändert.

Der Befehl kann auf 2D Objekte angewendet werden, die mit dem Entwurf Arbeitsbereich oder Skizzierer Arbeitsbereich, erstellt wurden, aber auch auf viele 3D Objekte, wie z.B. solche, die mit dem Part Arbeitsbereich, PartDesign Arbeitsbereich oder Architektur Arbeitsbereich erstellt wurden.

Draft Mirror example.jpg

Ein Objekt Spiegeln

Anwendung

Siehe auch: Entwurf Fang und Entwurf Beschränken.

  1. Wähle optional ein oder mehrere Objekte aus.
  2. Es gibt mehrere Möglichkeiten, den Befehl aufzurufen:
    • Drücke die Draft Mirror.svg Entwurf Spiegeln Schaltfläche.
    • Wählen die Option Änderung → Draft Mirror.svg Spiegeln aus dem Menü.
    • Verwende das Tastaturkürzel: M und dann I.
  3. Wenn du noch kein Objekt ausgewählt hast: Wähle ein Objekt in der 3D-Ansicht.
  4. Das Aufgabenfeld Spiegeln öffnet sich. Siehe Optionen für weitere Informationen.
  5. Wähle den ersten Punkt der Spiegelebene in der 3D-Ansicht, oder gib die Koordinaten ein und drücke die Draft AddPoint.svg Punkt eingeben Schaltfläche.
  6. Wähle den zweiten Punkt der Spiegelebene in der 3D Ansicht, oder gib die Koordinaten ein und drücke dieDraft AddPoint.svg Punkt eingeben Schaltfläche.
  7. Die Spiegelebene wird durch die ausgewählten Punkte und die Normale der Entwurf Arbeitsebene definiert.

Options

The single character keyboard shortcuts mentioned here can be changed. See Draft Preferences.

  • To manually enter coordinates enter the X, Y and Z component, and press Enter after each. Or you can press the Draft AddPoint.svg Enter point button when you have the desired values. It is advisable to move the pointer out of the 3D view before entering coordinates.
  • Press R or click the Relative checkbox to toggle relative mode. If relative mode is on, the coordinates of the second point are relative to the first point, else they are relative to the coordinate system origin.
  • Press G or click the Global checkbox to toggle global mode. If global mode is on, coordinates are relative to the global coordinate system, else they are relative to the working plane coordinate system. introduced in version 0.20
  • The Continue checkbox has no purpose for this command.
  • The Modify subelements checkbox has no purpose for this command.
  • Press S to switch Draft snapping on or off.
  • Press Esc or the Close button to abort the command.

Notes

Einstellungen

See also: Preferences Editor and Draft Preferences.

  • To change the number of decimals used for the input of coordinates: Edit → Preferences... → General → Units → Units settings → Number of decimals.

Eigenschaften

See also: Property editor.

A Part Mirror object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Daten

Base

  • DatenSource (Link): specifies the object that is mirrored.

Plane

  • DatenBase (Vector): specifies the base point of the mirror plane.
  • DatenNormal (Vector): specifies the normal direction of the mirror plane.

Skripten

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To mirror objects use the mirror method of the Draft module.

mirrored_list = mirror(objlist, p1, p2)
  • objlist contains the objects to be mirrored. It is either a single object or a list of objects.
  • p1 is the first point of the mirror plane.
  • p2 is the second point of the mirror plane.
  • If the Draft working plane is available the alignment of the mirror plane is determined by its normal, else the view direction of the camera in the active 3D view is used. If the graphical interface is not available the Z axis is used.
  • mirrored_list is returned with the new Part::Mirroring objects. It is either a single object or a list of objects, depending on objlist.

Beispiel:

import FreeCAD as App
import Draft

doc = App.newDocument()

place = App.Placement(FreeCAD.Vector(1000, 0, 0), App.Rotation())
polygon1 = Draft.make_polygon(3, 750)
polygon2 = Draft.make_polygon(5, 750, placement=place)

p1 = App.Vector(2000, -1000, 0)
p2 = App.Vector(2000, 1000, 0)

line1 = Draft.make_line(p1, p2)
mirrored1 = Draft.mirror(polygon1, p1, p2)

Line2 = Draft.make_line(-p1, -p2)
mirrored2 = Draft.mirror([polygon1, polygon2], -p1, -p2)

doc.recompute()


Arrow-left.svg Vorherige: Draft Scale.svg Skalieren
Nächste: Versatz Draft Offset.svg Arrow-right.svg